﻿@model IEnumerable<Domain.Ejemplo.Producto>

<br />
<br />

<div class="row">
    @foreach (var item in Model)
    {
        <div class="col-4 col-md-3">
            <div class="card mb-2" style="height: 404px;">
                @if (item.ImagenProducto.Count() > 0)
                {


                    <div style="height:200px; overflow:hidden;">

                        <img class="card-img-top" src="~/Documentos/Productos/@item.Nombre/@item.ImagenProducto.First().Nombre" style="margin-top:-15%" alt="Card image cap">
                    </div>
                }
                else
                {
                    <div style="height:200px; overflow:hidden;">

                        <img class="card-img-top" src="~/assets/media/users/puzzle.png" style="margin-top:-15%" alt="Card image cap">
                    </div>

                }
                <div class="card-body">
                    @if (item.Descuento == true)
                    {
                        <div class="ribbon-wrapper">
                            <div class="ribbon bg-primary" style="color: white">
                                @item.PorcentajeDes%
                            </div>
                        </div>
                    }
                    <h4 class="card-title font-weight-bold">@item.Nombre</h4>
                    <p class="card-text">
                        @item.Descripcion
                    </p>

                </div>
                <div class="card-footer" style="text-align: end; background-color:white">
                    <a class="btn btn-primary btn-sm btn-rounded" style="color: white" asp-route-id="@item.Id" asp-action="Details">+ info</a>
                </div>
            </div>
        </div>

    }


</div>

